/* DateFormat.inc
 * Written by Scott Auge
 * Copyright 2001 Amduus Information Works
 *
 * Return a formatted string for the date sent
 */

DEF VAR RCSVersionDateFormat_inc AS CHARACTER INIT "$Header: /home/appl/marketplaza/src/RCS/DateFormat.inc,v 1.3 2001/05/23 02:48:33 root Exp $" NO-UNDO.

FUNCTION DateFormat RETURNS CHARACTER (INPUT TheDate AS DATE):

  DEF VAR t  AS CHARACTER NO-UNDO.
  DEF VAR m  AS CHARACTER NO-UNDO.
  DEF VAR d  AS CHARACTER NO-UNDO.

  ASSIGN m = "Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec".
  ASSIGN d = "Sunday,Monday,Tuesday,Wednesday,Thursday,Friday,Saturday".

  ASSIGN t = ENTRY(WEEKDAY(TheDate), d) + "  " 
           + ENTRY(MONTH(TheDate), m) + " " 
           + STRING(DAY(TheDate)) + ", " 
           + STRING(YEAR (TheDate)).

  RETURN t.

END. /* FUNCTION DateFormat() */
