/* CreateSites.p
 * Amduus Information Works
 * scott_auge@yahoo.com
 *
 * Create a sites record
 *--------------------------------------------------------------------------
 * Market Plaza are trademarks of Amduus Information Works.  
 * No commercial use of these trademarks may be made without
 * prior written permission of the Amduus Information Works.
 *
 * MemoBrd software and its included text are Copyright
 * 2001 by the Amduus Information Works and Scott Auge.
 *
 * Use of MemoBrd: You may compile and execute these programs for
 * any purpose, including commercial, without paying anything to 
 * Amduus Information Works, provided that the legal notices are
 * maintained intact and honored.
 *
 * Redistribution of this release is permitted as follows, or by mutual
 * agreement:
 * (a) In free-of-charge or at-cost distributions by non-profit concerns;
 * (b) In free-of-charge distributions by for-profit concerns;
 * (c) Inclusion in a CD-ROM collection of free-of-charge, shareware, or
 *     non-proprietary software for which a fee may be charged for the
 *     packaged distribution.
 *
 * Redistribution of binary versions is further constrained by license
 * agreements for incorporated libraries from third parties, e.g. LDAP,
 * GSSAPI.
 *
 * The Amduus Information Works encourages unrestricted distribution of
 * individual patches to the application. By "patches" we mean
 * "difference" files that can be applied to the Amduus Information Works
 * application source distribution in order to accomplish bug fixes, minor
 * enhancements, or adaptation to new operating systems. Submission of
 * these patches to Amduus Information Works for possible inclusion in
 * future application versions is also encouraged.
 *
 * The above permissions are hereby granted, provided that the application
 * copyright and trademark notices appear in all copies and that
 * both the above copyright notice and this permission notice appear in
 * supporting documentation, and that the name of Amduus Information Works
 * not be used in advertising or publicity pertaining to distribution of 
 * the software without specific, prior written permission. This software 
 * is made available "as is", and
 *
 * AMDUUS INFORMATION WORKS AND PROGRAM'S AUTHORS DISCLAIMS ALL WARRANTIES, 
 * EXPRESS OR IMPLIED, WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT 
 * LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
 * PARTICULAR PURPOSE, AND IN NO EVENT SHALL AMDUUS INFORMATION WORKS OR PRO-
 * GRAM'S AUTHORS BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES 
 * OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, 
 * WHETHER IN AN ACTION OF CONTRACT, TORT (INCLUDING NEGLIGENCE) OR STRICT 
 * LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF 
 * THIS SOFTWARE.
 *--------------------------------------------------------------------------
 *
 */

DEF VAR RCSVersion AS CHARACTER INIT "$Header: /home/appl/marketplaza/src/MemoBrd/RCS/CreateSites.p,v 1.2 2001/05/27 01:14:11 sauge Exp $" NO-UNDO.

DEF INPUT PARAMETER pName         AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER pURL          AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER pDescription  AS CHARACTER NO-UNDO.
DEF OUTPUT PARAMETER pSitesID     AS CHARACTER NO-UNDO.

{MakeID.inc}

CREATE Sites.

ASSIGN Sites.SitesID = MakeID(NEXT-VALUE(SitesID)).

ASSIGN Sites.Description = pDescription
       Sites.Name        = pName
       Sites.URL         = pURL.

